{
  "name": "@adlete-vle/vle-core",
  "version": "0.0.1",
  "type": "module",
  "description": "",
  "author": "André Selmanagic <andre.selmanagic@htw-berlin.de>",
  "license": "MIT",
  "main": "build/index.js",
  "exports": {
    ".": "./build/index.js",
    "./package.json": "./package.json",
    "./*": [
      "./build/*.js",
      "./build/*/index.js"
    ]
  },
  "scripts": {
    "build": "tsc -b",
    "watch:build": "tsc -b --watch",
    "build:scripts": "tsc",
    "lint": "eslint ./src/**/*.{cjs,js,jsx,ts,tsx}",
    "test": "node --experimental-vm-modules ../../../node_modules/jest/bin/jest.js --config ./test/jest.config.js",
    "typecheck": "tsc -b --emitDeclarationOnly"
  },
  "dependencies": {
    "@mui/icons-material": "5.10.16",
    "localforage": "1.10.0"
  },
  "devDependencies": {
    "@adlete/dev-config": "*",
    "typescript": "5.3.3"
  },
  "peerDependencies": {
    "@mui/material": "5.11.2",
    "i18next": "*",
    "react": "18.2.0",
    "react-i18next": "^12.2.0",
    "react-router-dom": "6.4.2"
  },
  "prettier": "@adlete/dev-config/prettier"
}
